SSS_SEED(8)

NAME
sss_seed - initiera SSSD-cachen med en användare

SYNOPSIS

sss_seed [flaggor] -D DOMÄN -n ANVÄNDARE

BESKRIVNING

sss_seed initierar SSSD-cachen med en användarpost och tillfälligt lösenord. Om en användarpost redan finns i SSSD-cachen uppdateras den posten med det tillfälliga lösenordet.

FLAGGOR

-D,--domain DOMÄN
    Ange namnet på domänen i vilken användaren är en medlem. Domänen används också för att hämta användarinformation. Domänen måste vara konfigurerad i sssd.conf. Alternativet DOMÄN måste anges. Information som hämtas från domänen åsidosätter vad som anges i flaggorna.

-n,--username ANVÄNDARE
    Användarnamnet på posten som skall skapas eller ändras i cachen. Flaggan ANVÄNDARE måste anges.

-u,--uid AID
    Sätt användarens UID till UID.

-g,--gid GID
    Sätt användarens GID till GID.

-c,--gecos KOMMENTAR
    Godtycklig textsträng som beskriver användaren. Ofta använt som ett fält för användarens fullständiga namn.

-h,--home HEMKATALOG
    Sätt användarens hemkatalog till HEMKAT.

-s,--shell SKAL
    Sätt användarens inloggningsskal till SKAL.

-i,--interactive
    Interaktivt läge för att ange användarinformation. Detta alternativ kommer bara att fråga efter information som inte angavs med flaggor eller hämtades från domänen.

-p,--password-file LÖSENFIL
    Ange filen att läsa användarnas lösenord ifrån. (om inte angivet efterfrågas lösenord)

-?,--help
    Visa ett hjälpmeddelande och avsluta.

NOTER

Längden på lösenordet (eller storleken på filen som anges med flaggan -p eller --password-file) måste vara mindre eller lika med PASS_MAX byte (64 byte på system utan något globalt definierat PASS_MAX-värde).

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/